v1.0.0
OpenAPI 3.1.0

Create an email

US region

Client Libraries

Create an email

Create an email. Note, you can create an email without filling out all required fields for sending. You can fill in the envelope, like a to and from address, with this method, but that's not required until you connect it to a workflow like a campaign.

Body
required
application/json
  • name
    Type: string
    min length:  
    1
    max length:  
    255
    required

    Display name of the email.

  • content
    Type: object

    The content of your email.

  • envelope
    Type: object

    The envelope of your email, like from and to addresses.

  • is_template
    Type: boolean

    Whether the email is a reusable template.

  • parent_folder_id
    Type: string | nullFormat: uuid

    UUID of the parent folder. Omit or pass null to create at root.

  • transformers
    Type: object

    Automate repetitive actions like removing white space and inlining CSS with transformers.

Responses
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for post/v1/design_studio/emails
curl https://api.customer.io/v1/design_studio/emails \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "name": "",
  "is_template": false,
  "parent_folder_id": null,
  "content": {
    "subject": "",
    "preheader_text": "",
    "html": "",
    "amp": "",
    "text": ""
  },
  "envelope": {
    "from_id": null,
    "reply_to_id": null,
    "recipient": "",
    "bcc": "",
    "fake_bcc": true,
    "headers": [
      {
        "name": "",
        "value": ""
      }
    ]
  },
  "transformers": {
    "url_parameters": {
      "enabled": false,
      "parameters": []
    },
    "css_variables": {
      "enabled": false,
      "preserve": false
    },
    "css_inliner": {
      "enabled": false,
      "apply_style_tags": true,
      "preserve_important": false,
      "remove_style_tags": true,
      "preserve_font_faces": true,
      "preserve_media_queries": true,
      "preserve_keyframes": true,
      "preserve_pseudos": true,
      "inline_pseudo_elements": false,
      "apply_html_attributes": {
        "enabled": true,
        "apply_width_attributes": true,
        "apply_height_attributes": true,
        "apply_table_element_attributes": true
      }
    },
    "accessibility": {
      "enabled": false,
      "language": "",
      "add_lang_to_html": true,
      "add_dir_to_html": true,
      "add_lang_to_content": true,
      "add_dir_to_content": true,
      "add_role_to_tables": true,
      "add_vml_alt_text": true,
      "add_empty_alt_to_images": true,
      "add_title_to_head": true,
      "remove_button_role_from_links": true,
      "remove_zoom_meta_tag": true
    },
    "formatter": {
      "type": "none",
      "prettify": {
        "indent_character": "spaces",
        "indent_size": 2,
        "wrap_attributes": false
      },
      "minify": {
        "remove_line_breaks": false,
        "line_length_limit": 500,
        "remove_indentations": true,
        "remove_html_comments": "0",
        "remove_css_comments": true
      }
    },
    "prevent_widows": {
      "enabled": false
    },
    "encode_entities": {
      "enabled": false
    },
    "remove_unused_css": {
      "enabled": false,
      "whitelist": [
        ""
      ],
      "backend_markers": [
        {
          "heads": "",
          "tails": ""
        },
        {
          "heads": "{%",
          "tails": "%}"
        }
      ],
      "uglify": false
    }
  }
}'
{
  "email": {
    "id": "sdflkj345",
    "name": "string",
    "is_template": true,
    "is_linked": true,
    "parent_folder_id": null,
    "available_languages": [
      "en",
      "es"
    ],
    "created": 1773856017,
    "updated": 1773856017,
    "content": {
      "subject": "string",
      "preheader_text": "string",
      "html": "string",
      "amp": "string",
      "text": "string"
    },
    "envelope": {
      "from_id": null,
      "from": "string",
      "reply_to_id": null,
      "reply_to": "string",
      "bcc": "string",
      "fake_bcc": true,
      "headers": [
        {
          "name": "string",
          "value": "string"
        }
      ],
      "recipient": "string"
    },
    "transformers": {
      "url_parameters": {
        "enabled": false,
        "parameters": []
      },
      "css_variables": {
        "enabled": false,
        "preserve": false
      },
      "css_inliner": {
        "enabled": false,
        "apply_style_tags": true,
        "preserve_important": false,
        "remove_style_tags": true,
        "preserve_font_faces": true,
        "preserve_media_queries": true,
        "preserve_keyframes": true,
        "preserve_pseudos": true,
        "inline_pseudo_elements": false,
        "apply_html_attributes": {
          "enabled": true,
          "apply_width_attributes": true,
          "apply_height_attributes": true,
          "apply_table_element_attributes": true
        }
      },
      "accessibility": {
        "enabled": false,
        "language": "",
        "add_lang_to_html": true,
        "add_dir_to_html": true,
        "add_lang_to_content": true,
        "add_dir_to_content": true,
        "add_role_to_tables": true,
        "add_vml_alt_text": true,
        "add_empty_alt_to_images": true,
        "add_title_to_head": true,
        "remove_button_role_from_links": true,
        "remove_zoom_meta_tag": true
      },
      "formatter": {
        "type": "none",
        "prettify": {
          "indent_character": "spaces",
          "indent_size": 2,
          "wrap_attributes": false
        },
        "minify": {
          "remove_line_breaks": false,
          "line_length_limit": 500,
          "remove_indentations": true,
          "remove_html_comments": "0",
          "remove_css_comments": true
        }
      },
      "prevent_widows": {
        "enabled": false
      },
      "encode_entities": {
        "enabled": false
      },
      "remove_unused_css": {
        "enabled": false,
        "whitelist": [
          "string"
        ],
        "backend_markers": [
          {
            "heads": "",
            "tails": ""
          },
          {
            "heads": "{%",
            "tails": "%}"
          }
        ],
        "uglify": false
      }
    }
  }
}